CVE-2005-3758
CVSS4.3
发布时间 :2005-11-22 16:03:00
修订时间 :2011-03-07 21:27:05
NMCO    

[原文]Cross-site scripting (XSS) vulnerability in Google Mini Search Appliance, and possibly Google Search Appliance, allows remote attackers to inject arbitrary Javascript, and possibly other web script or HTML, via a proxystylesheet variable that contains a malicious XSLT style sheet.


[CNNVD]Google搜索工具ProxyStyleSheet变量跨站脚本漏洞(CNNVD-200511-350)

        Google搜索工具是一款大型的企业级硬件搜索工具。
        Google Mini 搜索工具(可能也包括Google 搜索工具)中存在跨站脚本漏洞,这会允许远程攻击者通过恶意XSLT类型表格的proxystylesheet变量,来注入任意的javascript和其它可能的Web脚本或html。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/h:google:search_applianceGoogle Search Appliance
cpe:/h:google:mini_search_applianceGoogle Mini Search Appliance

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3758
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3758
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-350
(官方数据源) CNNVD

- 其它链接及资源

http://www.vupen.com/english/advisories/2005/2500
(UNKNOWN)  VUPEN  ADV-2005-2500
http://www.securityfocus.com/bid/15509
(UNKNOWN)  BID  15509
http://www.securityfocus.com/archive/1/archive/1/417310/30/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20051121 Google Search Appliance proxystylesheet Flaws
http://www.osvdb.org/20980
(UNKNOWN)  OSVDB  20980
http://securitytracker.com/id?1015246
(VENDOR_ADVISORY)  SECTRACK  1015246
http://secunia.com/advisories/17644
(VENDOR_ADVISORY)  SECUNIA  17644
http://metasploit.com/research/vulns/google_proxystylesheet/
(VENDOR_ADVISORY)  MISC  http://metasploit.com/research/vulns/google_proxystylesheet/

- 漏洞信息

Google搜索工具ProxyStyleSheet变量跨站脚本漏洞
中危 跨站脚本
2005-11-22 00:00:00 2005-11-30 00:00:00
远程  
        Google搜索工具是一款大型的企业级硬件搜索工具。
        Google Mini 搜索工具(可能也包括Google 搜索工具)中存在跨站脚本漏洞,这会允许远程攻击者通过恶意XSLT类型表格的proxystylesheet变量,来注入任意的javascript和其它可能的Web脚本或html。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.google.com/enterprise/gsa/index.html

- 漏洞信息

20980
Google Search Appliance proxystylesheet XSLT XSS
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public

- 漏洞描述

The Google Search Appliance contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application will process a remote XSLT style sheet specified in the proxystylesheet parameter. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-11-21 2005-06-10
2005-11-21 Unknow

- 解决方案

Upgrade to the version specified by Google advisory GA-2005-08-m, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站